Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039705
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] StoreServermajorhave not tried2018-11-27 18:342018-12-10 12:55
ReporterioritzCiaView Statuspublic 
Assigned Tomtaal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision116b1122798e
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version8
OS VersionCentOS 6.9Database version9.5Ant version1.9
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039705: C_Invoice and GCNV_GiftCardInst tables are not configured in Auto add Business Partner to store tables

DescriptionWhen an customer from another store is added to an invoice or a gift card instance the record for the business partner segmentation is not added to the customer. This causes the validation of the store to fail.
Steps To ReproduceCreate an invoice in a store, just the header
Assign a customer who's default store is another store
Validate the store in which the invoice is created
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108209)
hgbot (developer)
2018-12-01 23:53

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 427f72766b7ff9fdbfc3ebc7b370ccdb868d6fbc
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Dec 01 23:53:04 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/427f72766b7ff9fdbfc3ebc7b370ccdb868d6fbc [^]

Fixes issue 39705: C_Invoice and GCNV_GiftCardInst tables are not configured in Auto add Business Partner to store tables
Add invoice to list of tables which add store to BP

---
M src-db/database/sourcedata/OBSTSYN_AUTO_ADD_BP_STORE.xml
---
(0108210)
hgbot (developer)
2018-12-01 23:54

Repository: erp/pmods/org.openbravo.retail.giftcards.synchronization
Changeset: 116b1122798eb943eef34b0a7e8ce52617dee021
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Dec 01 23:54:16 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards.synchronization/rev/116b1122798eb943eef34b0a7e8ce52617dee021 [^]

Fixes issue 39705: C_Invoice and GCNV_GiftCardInst tables are not configured in Auto add Business Partner to store tables
Add record for add to BP

---
A src-db/database/sourcedata/OBSTSYN_AUTO_ADD_BP_STORE.xml
---

- Issue History
Date Modified Username Field Change
2018-11-27 18:34 ioritzCia New Issue
2018-11-27 18:34 ioritzCia Assigned To => StoreServer
2018-11-27 18:34 ioritzCia Triggers an Emergency Pack => No
2018-11-28 06:47 guillermogil Assigned To StoreServer => Retail
2018-11-28 15:22 rqueralta Assigned To Retail => rqueralta
2018-11-29 08:49 mtaal Assigned To rqueralta => mtaal
2018-12-01 23:53 hgbot Checkin
2018-12-01 23:53 hgbot Note Added: 0108209
2018-12-01 23:53 hgbot Status new => resolved
2018-12-01 23:53 hgbot Resolution open => fixed
2018-12-01 23:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/427f72766b7ff9fdbfc3ebc7b370ccdb868d6fbc [^]
2018-12-01 23:54 hgbot Checkin
2018-12-01 23:54 hgbot Note Added: 0108210
2018-12-01 23:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/427f72766b7ff9fdbfc3ebc7b370ccdb868d6fbc [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards.synchronization/rev/116b1122798eb943eef34b0a7e8ce52617dee021 [^]
2018-12-09 22:07 mtaal Review Assigned To => AugustoMauch
2018-12-10 12:55 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker